PATCH
/
api
/
v1
/
renters
/
{renter_id}
Update renter
curl --request PATCH \
  --url http://127.0.0.1:8080/api/v1/renters/{renter_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "full_name": "<string>",
  "phone": "<string>",
  "email": "<string>",
  "identity_number": "<string>",
  "note": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "full_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "phone": "<string>",
  "email": "<string>",
  "identity_number": "<string>",
  "note": "<string>",
  "archived_at": "2023-11-07T05:31:56Z"
}

Path Parameters

renter_id
string<uuid>
required

Renter ID

Body

application/json
full_name
string | null
phone
string | null
email
string | null
identity_number
string | null
note
string | null

Response

200 - application/json

Updated renter

id
string<uuid>
required
organization_id
string<uuid>
required
full_name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
phone
string | null
email
string | null
identity_number
string | null
note
string | null
archived_at
string<date-time> | null